/*
 * gtkpasman
 * Copyright (C) 2013 David Guglielmi
 *
 * settings.c
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <glib.h>

#include "settings.h"

char *passwdfile;
char *sshcmd;
char *csshcmd;
char *ftpcmd;
char *telnetcmd;
char *httpcmd;

char *globalpasswd;
int decrypted_passwds;

GSettings *settings;

void
init_settings(void)
{

  g_setenv ("GSETTINGS_BACKEND", "dconf", TRUE);
  
#if !GLIB_CHECK_VERSION(2,35,1)
  g_type_init ();
#endif

  settings = g_settings_new ("fr.openwide.gtkpasman");

  g_settings_get (settings, "gpasman-file-path", "s", &passwdfile);

  g_settings_get (settings, "ssh-cmd", "s", &sshcmd);
  g_settings_get (settings, "cssh-cmd", "s", &csshcmd);
  g_settings_get (settings, "ftp-cmd", "s", &ftpcmd);
  g_settings_get (settings, "telnet-cmd", "s", &telnetcmd);
  g_settings_get (settings, "http-cmd", "s", &httpcmd);

}

void
write_settings(void){

  g_settings_set (settings, "gpasman-file-path", "s", passwdfile);

  g_settings_set (settings, "ssh-cmd", "s", sshcmd);
  g_settings_set (settings, "cssh-cmd", "s", csshcmd);
  g_settings_set (settings, "ftp-cmd", "s", ftpcmd);
  g_settings_set (settings, "telnet-cmd", "s", telnetcmd);
  g_settings_set (settings, "http-cmd", "s", httpcmd);
  
  g_settings_apply(settings);

}
